package com.xkrs.model.qo;

import com.xkrs.model.validation.SysUserQoUpdate;

import javax.validation.constraints.NotNull;

public class SysUserReceiveSmsQo {

    @NotNull(message = "{SysUser.id.blank}", groups = {SysUserQoUpdate.class})
    private String ids;

    @NotNull(message = "{SysUser.receiveSms.blank}", groups = {SysUserQoUpdate.class})
    private Integer receiveSms;

    public SysUserReceiveSmsQo() {
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public Integer getReceiveSms() {
        return receiveSms;
    }

    public void setReceiveSms(Integer receiveSms) {
        this.receiveSms = receiveSms;
    }

    @Override
    public String toString() {
        return "SysUserReceiveSmsQo{" + "ids='" + ids + '\'' + ", receiveSms=" + receiveSms + '}';
    }
}
